# Armbian u-boot install script for linux-u-boot-phytiumpi-legacy 2022.07-Se092-P0000-Hd275-Vb1c2-Bb703-R448a
# This file provides functions for deploying u-boot to a block device.
DIR=/usr/lib/linux-u-boot-legacy-phytiumpi
write_uboot_platform () 
{ 
    declare ptuboot_cache_dir="${SRC}/cache/phytiumpi-uboot";
    mkdir -p "${ptuboot_cache_dir}";
    sfdisk --dump "$2" > "${ptuboot_cache_dir}/part.txt";
    dd if="${SRC}/packages/blobs/phytiumpi/fip-all-sd-boot.bin" of="$2" conv=notrunc;
    sfdisk --no-reread "$2" < "${ptuboot_cache_dir}/part.txt";
    mkenvimage -s 0x1000 -o "${ptuboot_cache_dir}/env.bin" "${SRC}/packages/blobs/phytiumpi/env.txt";
    dd if="${ptuboot_cache_dir}/env.bin" of="$2" bs=1k seek=1472 conv=notrunc;
    rm -rf "${ptuboot_cache_dir}"
}


